Skip to main content
GET
/
job-runs
List job runs
curl --request GET \
  --url https://worker.anon.com/api/v2/job-runs
{
  "jobRuns": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "completedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "browserCdpUrl": "<string>",
      "isTest": true,
      "jobConfigJsonSnapshot": {
        "workflowExecutionOrder": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ]
      },
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "pageSize": 123,
  "count": 123
}

Query Parameters

page
integer
default:1
Required range: x <= 9007199254740991

Response

Successfully retrieved job runs

jobRuns
object[]
required
pageSize
number
required
count
number
required